const TaskBase=require("../task.base");
const system = require("../../system");
const logCtl = system.getObject("web.oplogCtl");

class SettleCommissionTask extends TaskBase{
  constructor(){
    super(TaskBase.getServiceName(SettleCommissionTask));
    this.esettleSve = system.getObject("service.esettleSve");
  }
  async subDoTask(){
    console.log("TestTask1.....");
    try {
      this.esettleSve.settleCommission();
    } catch (error) {
      console.log(error);
      logCtl.info({
        optitle:"合伙人分润执行异常, ",
        op:"base/db/SettleCommissionTask.js",
        content:"" + error.stack,
        clientIp:""
      });

    }
  }
}
module.exports=SettleCommissionTask;
